import type { Option } from 'payload/types';
import React from 'react';
import type { FormFieldBase } from '../shared/index.js';
import './index.scss';
export type SelectFieldProps = FormFieldBase & {
    hasMany?: boolean;
    isClearable?: boolean;
    isSortable?: boolean;
    name?: string;
    onChange?: (e: string) => void;
    options?: Option[];
    path?: string;
    value?: string;
    width?: string;
};
export declare const Select: React.FC<SelectFieldProps>;
//# sourceMappingURL=index.d.ts.map