import { Chevron } from '@payloadcms/ui/icons/Chevron';
import React from 'react';
const baseClass = 'dropdown-indicator';
export const DropdownIndicator = (props)=>{
    const { innerProps: { ref, ...restInnerProps } } = props;
    return /*#__PURE__*/ React.createElement("button", {
        className: baseClass,
        ref: ref,
        ...restInnerProps,
        onKeyDown: (e)=>{
            if (e.key === 'Enter') e.key = ' ';
        },
        type: "button"
    }, /*#__PURE__*/ React.createElement(Chevron, {
        className: `${baseClass}__icon`
    }));
};

//# sourceMappingURL=index.js.map